.de EX		\"Begin example
.ne 5
.if n .sp 1
.if t .sp .5
.nf
.in +.5i
..
.de EE
.fi
.in -.5i
.if n .sp 1
.if t .sp .5
..
.TH Type1inst 0.6 "20-Jun-97"
.SH NAME
type1inst - Type 1 PostScript font installation utility for the X Window System and Ghostscript
.SH VERSION
0.6 (July 20 1997)
.SH SYNOPSIS
.B type1inst
[\-nox] [\-nogs] [\-samples] [\-nolog] [\-q] [\-quiet] [\-silent] [\-version] [\-v]
.SH DESCRIPTION
type1inst is a utility which scans Type 1 PostScript font files and generates
automatically the \fIfonts.scale\fP file which the X Window System uses to
pick up fonts in the current directory and/or the \fIFontmap\fP file which
Ghostscript uses to map file names to font names.  It can also generate
simple font sample sheets which show what your fonts look like.

type1inst is a Perl script so you will need to have that installed on your
system.  The pfbtops utility (which comes as part of GNU groff) is also
required.
.SH ADOBE DPS USERS NOTE
If you are using a commercial Unix system which has a Display PostScript-capable
X server (for example Sun Solaris 2.3 or later)
then you should \fBnot\fP use type1inst for generating a
\fIfonts.scale\fP file (indeed, such systems do not even use \fIfonts.scale\fP).
The \fImakepsres\fP
utility which came with your system does what you want.  You can, however,
still use this program with Ghostscript if you wish.
.SH USAGE
Change directory to the directory where the fonts you wish to have processed
are located.  Invoking type1inst will then generate a \fIfonts.scale\fP
and a \fIFontmap\fP.  The program also has a number of options as detailed
below.
.SH OPTIONS
.TP 8
.B \-nox
Supresses generation/update of the file \fIfonts.scale\fP which lists the
fonts in the current directory for the benefit of the X Window System.  This
file is generated or updated by default.
.TP 8
.B \-nogs
Supresses generation/update of the file \fIFontmap\fP which lists the
fonts in the current directory for the benefit of Ghostscript.  This file
is generated or updated by default.
.TP 8
.B \-samples
Creates PostScript files showing the fonts in the current directory.  One
file is created for each font in the subdirectory \fIsamples\fP as well
as one or more files showing the fonts together.
.TP 8
.B \-nolog
Supresses the generation of a log file detailing what happened during the
last run of type1inst.  This file is generated by default.
.TP 8
.B \-quiet
Stops type1inst from printing messages on stdout.  Messages will be written
to the log file, unless \fI-nolog\fP is also specified, in which case the
program does its work but does not record anywhere what happened.
.TP 8
.B \-q
Same as \fI-quiet\fP.
.TP 8
.B \-silent
This has the same effect as \fI-quiet\fP.
.TP 8
.B \-version
Print version information and exit.
.TP 8
.B \-v
Same as \fI-version\fP.
.SH NOTES
More detailed information is available in the README file which is part of
the type1inst distribution.
.SH SEE ALSO
.BR X (1),
.BR gs (1),
.BR pfbtops (1),
.BR makepsres (1),
.BR perl (1)
.SH AUTHOR
James Macnicol <J.Macnicol@student.anu.edu.au>
.SH COPYRIGHT
type1inst is Copyright (C) 1996-1997 James Macnicol.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTIBILITY
for FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.
.SH TRADEMARKS
PostScript and Display PostScript are  trademarks  of  Adobe
Systems Incorporated which may be registered in certain jur-
isdictions.
